org.eclipse.rdf4j.federated.structures

## Class FedXDataset

- java.lang.Object
- - org.eclipse.rdf4j.federated.structures.FedXDataset

- All Implemented Interfaces:
    Dataset

      public class FedXDataset
      extends Object
      implements Dataset

  Abstraction of a `Dataset` to provide additional information for the evaluation of a query.

  Can be used to define the endpoints against which a given query shall be executed.

  Example

       TupleQuery tq = ...;
       FedXDataset ds = new FedXDataset(tq.getDataset);
       ds.addEndpoint("myEndpoint");
       ds.addEndpoint("otherEndpoint");
       tq.setDataset(ds)
       TupleQueryResult res = tq.evaluate()

  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Dataset` | `delegate`
    `protected Set<String>` | `endpoints`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FedXDataset(Dataset delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEndpoint(String endpointId)`
    `void` | `addEndpoints(Collection<String> endpointIDs)`
    `Set<IRI>` | `getDefaultGraphs()` Gets the default graph URIs of this dataset.
    `IRI` | `getDefaultInsertGraph()` Gets the default insert graph URI of this dataset.
    `Set<IRI>` | `getDefaultRemoveGraphs()` Gets the default remove graph URIs of this dataset.
    `Set<String>` | `getEndpoints()`
    `Set<IRI>` | `getNamedGraphs()` Gets the named graph URIs of this dataset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected final Dataset delegate

    - #### endpoints

          protected Set<String> endpoints

  - ### Constructor Detail

    - #### FedXDataset

          public FedXDataset(Dataset delegate)

  - ### Method Detail

    - #### addEndpoint

          public void addEndpoint(String endpointId)

    - #### addEndpoints

          public void addEndpoints(Collection<String> endpointIDs)

    - #### getEndpoints

          public Set<String> getEndpoints()

    - #### getDefaultGraphs

          public Set<IRI> getDefaultGraphs()

      Description copied from interface: `Dataset`
      Gets the default graph URIs of this dataset. An empty default graph set and a non-empty named graph set indicates that the default graph is an empty graph. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.
      Specified by:
        `getDefaultGraphs` in interface `Dataset`

    - #### getDefaultInsertGraph

          public IRI getDefaultInsertGraph()

      Description copied from interface: `Dataset`
      Gets the default insert graph URI of this dataset. An null value indicates that the store's default behaviour should be used, if not otherwise indicated in the operation.
      Specified by:
        `getDefaultInsertGraph` in interface `Dataset`

    - #### getDefaultRemoveGraphs

          public Set<IRI> getDefaultRemoveGraphs()

      Description copied from interface: `Dataset`
      Gets the default remove graph URIs of this dataset. An empty set indicates the the store's default behaviour should be used, if not otherwise indicated in the operation.
      Specified by:
        `getDefaultRemoveGraphs` in interface `Dataset`

    - #### getNamedGraphs

          public Set<IRI> getNamedGraphs()

      Description copied from interface: `Dataset`
      Gets the named graph URIs of this dataset. An empty named graph set and a non-empty default graph set indicates that there are no named graphs. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.
      Specified by:
        `getNamedGraphs` in interface `Dataset`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.